Bug 67282 - EDITING Page style is reset when automatic hyphenation is applied to a paragraph in a table, when the table is at the top of the page/document
Summary: EDITING Page style is reset when automatic hyphenation is applied to a parag...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Styles-Page
  Show dependency treegraph
 
Reported: 2013-07-25 00:20 UTC by Mike Kaganski
Modified: 2021-09-03 04:03 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2013-07-25 00:20:36 UTC
How to reproduce:

1. Create a new writer document
2. Set page style to Landscape
3. Insert a table
4. Set caret into a cell of the table, Format->Paragraph->Text Flow->Hyphenation->check Automatically->OK.

Expected result: page stays landscape

Actual result: page style reverts to Default.

This doesn't happen if the page is set to landscape by using Format->Page->Page->Orientation (thus modifying the Default style).

Tested on LO 3.6.3.2 and 4.1.0.4 under Win7x64.
Comment 1 Cor Nouws 2013-07-26 15:56:20 UTC
Hi Mike,

I only can reproduce this when the table is at the top of the page ;)
Hen I leave an empty paragraph, it doesn't happen (on my Ubuntu anyway ).

thanks for the report!
Cor
Comment 2 Cor Nouws 2013-07-26 15:56:53 UTC
Now we should only check when this happend first ..
Comment 3 Mike Kaganski 2013-07-26 22:53:01 UTC
(In reply to comment #1)
> I only can reproduce this when the table is at the top of the page ;)
> Hen I leave an empty paragraph, it doesn't happen (on my Ubuntu anyway ).

Cor,

Thank you. You are quite right, this is also the case under Windows.
Comment 4 Mike Kaganski 2013-07-27 09:23:56 UTC
The bug is already present in 3.3.0.4; also, AOO 4.0 is affected, too. So, it is an inherited bug.
Comment 5 QA Administrators 2015-04-01 14:40:22 UTC Comment hidden (obsolete)
Comment 6 Mike Kaganski 2015-04-02 01:04:48 UTC Comment hidden (obsolete)
Comment 7 tommy27 2016-04-16 07:22:56 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-05-22 13:22:37 UTC Comment hidden (obsolete)
Comment 9 Mike Kaganski 2017-05-22 13:31:01 UTC
Reproducible with Version: 5.3.3.2 (x64)
Build ID: 3d9a8b4b4e538a85e0782bd6c2d430bafe583448
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
Locale: ru-RU (ru_RU); Calc: group
Comment 10 QA Administrators 2018-05-23 02:37:38 UTC Comment hidden (obsolete)
Comment 11 Timur 2018-07-19 10:47:07 UTC
Repro 6.2+.
Comment 12 QA Administrators 2019-09-03 16:11:57 UTC Comment hidden (obsolete)
Comment 13 Mike Kaganski 2019-09-03 16:33:37 UTC
Repro with Version: 6.3.1.2 (x64)
Build ID: b79626edf0065ac373bd1df5c28bd630b4424273
CPU threads: 12; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 14 QA Administrators 2021-09-03 04:03:25 UTC
Dear Mike Kaganski,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug